## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl
Class ImperativeIterateExpImpl

    java.lang.Object
      LoopExpImpl
          org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.ImperativeLoopExpImpl
              org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.ImperativeIterateExpImpl

All Implemented Interfaces:
  ImperativeExpression, ImperativeIterateExp, ImperativeLoopExp

    public class ImperativeIterateExpImpl

extends ImperativeLoopExpImpl
implements ImperativeIterateExp

An implementation of the model object 'Imperative Iterate Exp'.

The following features are implemented:

- `Target`

Field Summary
`protected Variable` `target` The cached value of the '`Target`' containment reference

Fields inherited from class org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.ImperativeLoopExpImpl
`condition`

Constructor Summary
`protected` `ImperativeIterateExpImpl()`

Method Summary

`

`<T,U extends <any>> T`

`

`accept(U v)`

`NotificationChain` `basicSetTarget(Variable newTarget, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`Variable` `getTarget()`
`void` `setTarget(Variable newTarget)`
`java.lang.String` `toString()` Re-implementation of the toString() method to use the EImperativeOCLToStringVisitor

Methods inherited from class org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.impl.ImperativeLoopExpImpl
`basicSetCondition, getCondition, setCondition`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.ImperativeLoopExp
`getCondition, setCondition`

Field Detail

### target

    protected Variable target

  The cached value of the '`Target`' containment reference.

  See Also:
    `getTarget()`

Constructor Detail

### ImperativeIterateExpImpl

    protected ImperativeIterateExpImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `ImperativeLoopExpImpl`

### getTarget

    public Variable getTarget()

  Specified by:
    `getTarget` in interface `ImperativeIterateExp`
  Returns:
    the value of the 'Target' containment reference.
  See Also:
    `ImperativeIterateExp.setTarget(Variable)`, `ImperativeOCLPackage.getImperativeIterateExp_Target()`

### basicSetTarget

    public NotificationChain basicSetTarget(Variable newTarget,
                                            NotificationChain msgs)

### setTarget

    public void setTarget(Variable newTarget)

  Specified by:
    `setTarget` in interface `ImperativeIterateExp`
  Parameters:
    `newTarget` - the new value of the 'Target' containment reference.
  See Also:
    `ImperativeIterateExp.getTarget()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `ImperativeLoopExpImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `ImperativeLoopExpImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `ImperativeLoopExpImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `ImperativeLoopExpImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `ImperativeLoopExpImpl`

### toString

    public java.lang.String toString()

  Re-implementation of the toString() method to use the EImperativeOCLToStringVisitor

  Overrides:
    `toString` in class `ImperativeLoopExpImpl`

### accept

    public <T,U extends <any>> T accept(U v)

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.